
public class Class312 {

   public static final double aDouble3940 = 2607.5945876176133D;
   public static final int anInt3941 = 16383;
   public static final int anInt3942 = 14;
   public static int[] anIntArray3943 = new int[16384];
   public static final int anInt3944 = 16384;
   public static final int anInt3945 = 16383;
   public static final int anInt3946 = 14;
   public static final int anInt3947 = 1024;
   public static final int anInt3948 = 2048;
   public static final int anInt3949 = 16384;
   public static final int anInt3950 = 4096;
   public static final int anInt3951 = 8192;
   public static final int anInt3952 = 10240;
   public static final int anInt3953 = 12288;
   public static final int anInt3954 = 14336;
   public static final int anInt3955 = 16384;
   public static int[] anIntArray3956 = new int[16384];
   public static final int anInt3957 = 6144;


   public static float method5555(int var0) {
      var0 &= 16383;
      return (float)((double)((float)var0 / 16384.0F) * 6.283185307179586D);
   }

   public static float method5556(int var0) {
      var0 &= 16383;
      return (float)((double)((float)var0 / 16384.0F) * 6.283185307179586D);
   }

   static {
      double var0 = 3.834951969714103E-4D;

      for(int var2 = 0; var2 < 16384; ++var2) {
         anIntArray3943[var2] = (int)(16384.0D * Math.sin((double)var2 * var0));
         anIntArray3956[var2] = (int)(16384.0D * Math.cos((double)var2 * var0));
      }

   }

   public static float method5557(int var0) {
      var0 &= 16383;
      return (float)((double)((float)var0 / 16384.0F) * 6.283185307179586D);
   }

   Class312() throws Throwable {
      throw new Error();
   }
}
